Notification for MPM Static QR Code
Request
Request Body schema
eventCode
string<= 32 characters
Required
Enum: StaticQRCode
Used to indicate the type of a Notification
- Usage Instruction
1. Filed Type: String(32)
payment
object
Required
This object includes related information for an original Payment transaction which has been successfully processed in EVO Cloud
- Usage Instruction
1. This field is used in response for the API of Payment, Cancel, Capture, Refund and DataSubmission
2. This field is used in Notification for the API of Payment, Cancel, Capture and Refund and DataSubmission
paymentMethod
object
Required
This field includes the Payment Method information, including Payment Method selected by User for Payment, and the Payment Method supported by the merchant
pspData
object
This is the supplemental data from PSP which may be used for some special service scenarios
- Usage Instruction
1. EVO Cloud may provide this information if PSP provides
POST
/mpm static qr code webhook in the requestTry it
Server
https://online-uat.everonet.com
Request Body Parameters
Request Samples
cURL
curl -i -X POST \
'https://online-uat.everonet.com/mpm static qr code webhook in the request' \
-d '{
"eventCode": "string",
"payment": {
"billingAmount": {
"currency": "string",
"value": "string"
},
"billingFXRate": {
"baseCurrency": "string",
"quoteCurrency": "string",
"value": "string"
},
"convertTransAmount": {
"currency": "string",
"value": "string"
},
"convertTransFXRate": {
"baseCurrency": "string",
"date": "string",
"quoteCurrency": "string",
"source": "string",
"value": "string"
},
"discount": {
"discountAmount": {
"currency": "string",
"value": "string"
},
"discountInfo": [
{
"currency": "string",
"discountType": "string",
"subDiscountAmount": {},
"value": "string"
}
],
"payAmount": {
"currency": "string",
"value": "string"
}
},
"evoTransInfo": {
"evoTransID": "string",
"evoTransTime": "string",
"retrievalReferenceNum": "string",
"traceNum": "string"
},
"merchantTransInfo": {
"merchantOrderReference": "string",
"merchantTransID": "string",
"merchantTransTime": "string"
},
"pspTransInfo": {
"authorizationCode": "string",
"pspTransID": "string",
"pspTransTime": "string",
"retrievalReferenceNum": "string"
},
"status": "string",
"transAmount": {
"currency": "string",
"value": "string"
}
},
"paymentMethod": {
"e-wallet": {
"consumerAccount": "string",
"consumerId": "string",
"first6No": "string",
"last4No": "string",
"paymentBrand": "string"
},
"paymentMethodVariant": "string"
},
"pspData": {
"name": "string"
}
}'JavaScript
fetch(
`https://online-uat.everonet.com/mpm static qr code webhook in the request`,
{
method: 'post',
body: '{
"eventCode": "string",
"payment": {
"billingAmount": {
"currency": "string",
"value": "string"
},
"billingFXRate": {
"baseCurrency": "string",
"quoteCurrency": "string",
"value": "string"
},
"convertTransAmount": {
"currency": "string",
"value": "string"
},
"convertTransFXRate": {
"baseCurrency": "string",
"date": "string",
"quoteCurrency": "string",
"source": "string",
"value": "string"
},
"discount": {
"discountAmount": {
"currency": "string",
"value": "string"
},
"discountInfo": [
{
"currency": "string",
"discountType": "string",
"subDiscountAmount": {},
"value": "string"
}
],
"payAmount": {
"currency": "string",
"value": "string"
}
},
"evoTransInfo": {
"evoTransID": "string",
"evoTransTime": "string",
"retrievalReferenceNum": "string",
"traceNum": "string"
},
"merchantTransInfo": {
"merchantOrderReference": "string",
"merchantTransID": "string",
"merchantTransTime": "string"
},
"pspTransInfo": {
"authorizationCode": "string",
"pspTransID": "string",
"pspTransTime": "string",
"retrievalReferenceNum": "string"
},
"status": "string",
"transAmount": {
"currency": "string",
"value": "string"
}
},
"paymentMethod": {
"e-wallet": {
"consumerAccount": "string",
"consumerId": "string",
"first6No": "string",
"last4No": "string",
"paymentBrand": "string"
},
"paymentMethodVariant": "string"
},
"pspData": {
"name": "string"
}
}'
})
.then(response => response.json())
.then(data => console.log(data));Response Samples
200
application/octet-stream
json

